attempting to get Eyetv 3.0.3 working?

Can anyone advise me how they got this to work, in detail? I have tried upgrading smart installer up to 10.4.11 by putting the 10.4.11 Combo into documents folder before doing first install of smart installer and didnt do it, I have tried putting over the 3.0.3 application file to the applications menu, but it comes up asking for 10.4.11 to be installed?

I have been able to get 3.0.2 to run, but the Eyetv usb stick I have requires 3.0.3. Anyone?